using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SK
{
    [Description("检查记录附件表")]
    public class T_SK_SECURITY_INSPECTION_RECORD_FILE : MesEntityBase
    {
        /// <summary>
        /// 检查记录表
        /// </summary>
        [Description("检查记录表")]
        [DataFieldForeignKey("Nav_CheckRecord", "Nav_CheckRecordFiles")]
        public Guid SECURITY_INSPECTION_RECORD_ID { get; set; }

        /// <summary>
        /// 导航：检查记录表
        /// </summary>
        [Description("导航：检查记录表")]
        public virtual T_SK_SECURITY_INSPECTION_RECORD Nav_CheckRecord { get; set; }

        /// <summary>
        /// 文件ID
        /// </summary>
        [Description("文件ID")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid IMG_FILE_ID { get; set; }

        /// <summary>
        /// 导航属性：文件
        /// </summary>
        [Description("导航属性：文件")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
